// Generates the lookup tables necessary for the bar graphs

#include <stdio.h>

void main (void)
{
	int c, m;
	int i;
	printf("sc_table1:\n.db ");
	for (i = 0; i < 256; i++)
	{
		switch (i & 0x55)
		{
		case 0x00:	c = 0;	break;
		case 0x01:	c = 1;	break;
		case 0x05:	c = 2;	break;
		case 0x15:	c = 3;	break;
		case 0x55:	c = 4;	break;
		default:	c = -1;	break;
		}

		switch (i & 0xAA)
		{
		case 0x00:	m = 0;	break;
		case 0x02:	m = 1;	break;
		case 0x08:	m = 2;	break;
		case 0x20:	m = 3;	break;
		case 0x80:	m = 4;	break;
		default:	m = -1;	break;
		}

		if ((c == 0) && (m == 0))
			printf("$30,");
		else if ((c == 1) && (m == 0))
			printf("$31,");
		else if ((c == 2) && (m == 0))
			printf("$32,");
		else if ((c == 3) && (m == 0))
			printf("$33,");
		else if ((c == 4) && (m == 0))
			printf("$34,");
		else if (((c == 0) || (c == 1)) && (m == 1))
			printf("$35,");
		else if ((c == 0) && (m == 2))
			printf("$36,");
		else if (((c == 1) || (c == 2)) && (m == 2))
			printf("$37,");
		else if ((c == 0) && (m == 3))
			printf("$38,");
		else if ((c == 1) && (m == 3))
			printf("$39,");
		else if (((c == 2) || (c == 3)) && (m == 3))
			printf("$3A,");
		else if ((c == 0) && (m == 4))
			printf("$3B,");
		else if ((c == 1) && (m == 4))
			printf("$3C,");
		else if ((c == 2) && (m == 4))
			printf("$3D,");
		else if (((c == 3) || (c == 4)) && (m == 4))
			printf("$3E,");
		else	printf("$00,");

		if ((i & 0xF) == 0xF)
			printf("\b \n.db ");
	}

	printf("\b\b\b\b    \nsc_table2:\n.db ");
	for (i = 0; i < 16; i++)
	{

		switch (i & 0x05)
		{
		case 0x00:	c = 0;	break;
		case 0x01:	c = 1;	break;
		case 0x05:	c = 2;	break;
		default:	c = -1;	break;
		}

		switch (i & 0x0A)
		{
		case 0x00:	m = 0;	break;
		case 0x02:	m = 1;	break;
		case 0x08:	m = 2;	break;
		default:	m = -1;	break;
		}

		if ((c == 0) && (m == 0))
			printf("$50,");
		else if (((c == 0) || (c == 1)) && (m == 1))
			printf("$51,");
		else if ((c == 0) && (m == 2))
			printf("$52,");
		else if (((c == 1) || (c == 2)) && (m == 2))
			printf("$53,");
		else	printf("$00,");
	}
	printf("\b \n");
}